--if ((L:GetLanguage() == Turbine.Language.French) or (L:GetLanguage() == Turbine.Language.German)) then
--    Puts(L:GetText("/TranslationHelpWanted"));
--end

_G.win = Checklist();

local hello = L:GetText("/HelloMessage");
hello = string.gsub(hello, "<version>", plugin:GetVersion());
Turbine.Shell.WriteLine(hello);
_G.PutsPrefix = L:GetText("/PutsPrefix");

plugin.Load = function()
end
plugin.Unload = function()
    win:Close();
    Puts(L:GetText("/GoodbyeMessage"));
end

shellCmd = Turbine.ShellCommand();
shellCmd.Execute = function(_, _, args)
    if ((args == L:GetText("/ShellCommand/Help")) or (args == "")) then
        Turbine.Shell.WriteLine(shellCmd.GetHelp());
    elseif (args == L:GetText("/ShellCommand/ToggleWindow")) then
        win:SetVisible(not win:IsVisible());
    elseif (args == L:GetText("/ShellCommand/ToggleIcon")) then
        win.icon:SetVisible(not win.icon:IsVisible());
    else
        Puts(L:GetText("/ShellCommand/InvalidArguments"));
    end
end
shellCmd.GetHelp = function()
    return L:GetText("/ShellCommand/GetHelp");
end
shellCmd.GetShortHelp = function()
    return L:GetText("/ShellCommand/GetShortHelp");
end
Turbine.Shell.AddCommand(L:GetText("/ShellCommand/Command"), shellCmd);